> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aktualizovat API klíč



## OpenAPI

````yaml /openapi/cs/rest/restapi_v1.yaml post /apikey/update
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API pro správu účtů a dalších zdrojů SmsManageru.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Odpoví s daty vašeho požadavku
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API klíč
    description: |
      Pro správu API klíčů použijte následující koncové body.
  - name: status
    x-displayName: Stav
    description: |
      Pro čtení stavu odeslaných zpráv použijte následující koncové body.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /apikey/update:
    post:
      tags:
        - api
      summary: Aktualizovat API klíč
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                default_callback_url:
                  type: string
                  description: >-
                    Výchozí URL pro zpětné volání pro tento API klíč. Tato URL
                    bude použita pro příchozí zprávy bez vazby na odchozí
                    zprávy.
                note:
                  type: string
                  description: Poznámka k API klíči.
      responses:
        '200':
          description: Aktualizovaný API klíč
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Stav úspěchu.
                    example: true
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````